{% extends 'base.html.twig' %}

{% block icon %}fa fa-tag{% endblock %}
{% block title %}Règles de gestion{% endblock %}
{% block breadcrumb %}
    <li>Administration</li>
    <li class="active">Règles de gestion</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
            type="button"
            class="btn btn-success"
            data-modal="ajax"
            data-url="{{ url('app_management_rule_add') }}"
            data-title="Créer une règle de gestion"
            data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer une règle de gestion
        </button>
        <button
            type="button"
            class="btn btn-success"
            data-modal="ajax"
            data-url="{{ url('app_management_rule_import1') }}"
            data-title="Importer des règles de gestion"
            data-table="#{{ table.id() }}"
        >
            <i class="fa fa-upload fa-space" aria-hidden="true"></i>
            Importer des règles de gestion
        </button>
        <a href="{{ url('app_management_rule_export', app.request.query.all) }}" download="export_management_rule.refae" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments publiés
        </a>
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des règles de gestion"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_management_rule_csv', app.request.query.all) }}" data-link-download-csv="%s_management_rule.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}

{% block bottomScript %}
    <script>
        $(function() {
            let table = $('#{{ table.id() }}');
            let generator = table.data('tableGenerator');
            table.on(
                'modal_form_success',
                (event, content, jqXHR) => {
                    let previousVersionId = jqXHR.getResponseHeader('X-Asalae-PreviousVersionId');
                    if (previousVersionId) {
                        generator.removeDataId(previousVersionId);
                        generator.decrementPaginator(table.closest('section').find('.pagination-counters'));
                        generator.generateAll();
                    }
                }
            );
        });
    </script>
{% endblock %}
